;-----------------------------------------------------------------------------
;  File:      KEYOFF.ASM
;
;  Purpose:   Deletes the function key macros setup by DEFKEY.
;
;  Author:    Steven "Noji" Ratzlaff
;
;  Date:      06 Oct 1989
;-----------------------------------------------------------------------------
public        main
;-----------------------------------------------------------------------------
;  Stack segment definition
;-----------------------------------------------------------------------------
stack         segment word stack 'STACK'
              db        100h dup (?)
stack         ends
;-----------------------------------------------------------------------------
;  Data segment definition
;-----------------------------------------------------------------------------
data          segment word public 'DATA'
;             db        1bh,'[0;11;0;11p'                  ;
;             db        1bh,'[0;12;0;12p'                  ;
;             db        1bh,'[0;13;0;13p'                  ;
;             db        1bh,'[0;14;0;14p'                  ;
;             db        1bh,'[0;15;0;15p'                  ;
;             db        1bh,'[0;16;0;16p'                  ; <Alt>-Q ***
;             db        1bh,'[0;17;0;17p'                  ; <Alt>-W
;             db        1bh,'[0;18;0;18p'                  ; <Alt>-E
;             db        1bh,'[0;19;0;19p'                  ; <Alt>-R ***
;             db        1bh,'[0;20;0;20p'                  ; <Alt>-T
;             db        1bh,'[0;21;0;21p'                  ; <Alt>-Y
;             db        1bh,'[0;22;0;22p'                  ; <Alt>-U
;             db        1bh,'[0;23;0;23p'                  ; <Alt>-I
;             db        1bh,'[0;24;0;24p'                  ; <Alt>-O
buffer        db        1bh,'[0;25;0;25p'                  ; <Alt>-P
;             db        1bh,'[0;26;0;26p'                  ;
;             db        1bh,'[0;27;0;27p'                  ;
;             db        1bh,'[0;28;0;28p'                  ;
;             db        1bh,'[0;29;0;29p'                  ;
              db        1bh,'[0;30;0;30p'                  ; <Alt>-A
;             db        1bh,'[0;31;0;31p'                  ; <Alt>-S
              db        1bh,'[0;32;0;32p'                  ; <Alt>-D
              db        1bh,'[0;33;0;33p'                  ; <Alt>-F
;             db        1bh,'[0;34;0;34p'                  ; <Alt>-G
;             db        1bh,'[0;35;0;35p'                  ; <Alt>-H
;             db        1bh,'[0;36;0;36p'                  ; <Alt>-J
;             db        1bh,'[0;37;0;37p'                  ; <Alt>-K
;             db        1bh,'[0;38;0;38p'                  ; <Alt>-L
;             db        1bh,'[0;39;0;39p'                  ;
;             db        1bh,'[0;40;0;40p'                  ;
;             db        1bh,'[0;41;0;41p'                  ;
;             db        1bh,'[0;42;0;42p'                  ;
;             db        1bh,'[0;43;0;43p'                  ;
;             db        1bh,'[0;44;0;44p'                  ; <Alt>-Z
;             db        1bh,'[0;45;0;45p'                  ; <Alt>-X
;             db        1bh,'[0;46;0;46p'                  ; <Alt>-C
              db        1bh,'[0;47;0;47p'                  ; <Alt>-V
;             db        1bh,'[0;48;0;48p'                  ; <Alt>-B
;             db        1bh,'[0;49;0;49p'                  ; <Alt>-N
;             db        1bh,'[0;50;0;50p'                  ; <Alt>-M
;             db        1bh,'[0;51;0;51p'                  ;
;             db        1bh,'[0;52;0;52p'                  ;
;             db        1bh,'[0;53;0;53p'                  ;
;             db        1bh,'[0;54;0;54p'                  ;
;             db        1bh,'[0;55;0;55p'                  ;
;             db        1bh,'[0;56;0;56p'                  ;
;             db        1bh,'[0;57;0;57p'                  ;
;             db        1bh,'[0;58;0;58p'                  ;
              db        1bh,'[0;59;0;59p'                  ; F1
              db        1bh,'[0;60;0;60p'                  ; F2
              db        1bh,'[0;61;0;61p'                  ; F3
              db        1bh,'[0;62;0;62p'                  ; F4
              db        1bh,'[0;63;0;63p'                  ; F5
;             db        1bh,'[0;64;0;64p'                  ; F6
              db        1bh,'[0;65;0;65p'                  ; F7
;             db        1bh,'[0;66;0;66p'                  ; F8           *
;             db        1bh,'[0;67;0;67p'                  ; F9           *
;             db        1bh,'[0;68;0;68p'                  ; F10          *
;             db        1bh,'[0;69;0;69p'                  ;
;             db        1bh,'[0;70;0;70p'                  ;
;             db        1bh,'[0;71;0;71p'                  ; Home         *
;             db        1bh,'[0;72;0;72p'                  ; Up           *
              db        1bh,'[0;73;0;73p'                  ; PgUp
;             db        1bh,'[0;74;0;74p'                  ;
;             db        1bh,'[0;75;0;75p'                  ; Left         *
;             db        1bh,'[0;76;0;76p'                  ;
;             db        1bh,'[0;77;0;77p'                  ; Right        *
;             db        1bh,'[0;78;0;78p'                  ;
;             db        1bh,'[0;79;0;79p'                  ; End          *
;             db        1bh,'[0;80;0;80p'                  ; Dn           *
              db        1bh,'[0;81;0;81p'                  ; PgDn
;             db        1bh,'[0;82;0;82p'                  ; Insert       *
;             db        1bh,'[0;83;0;83p'                  ; Delete       *
              db        1bh,'[0;84;0;84p'                  ; <Shft>-F1
;             db        1bh,'[0;85;0;85p'                  ; <Shft>-F2    *
              db        1bh,'[0;86;0;86p'                  ; <Shft>-F3
              db        1bh,'[0;87;0;87p'                  ; <Shft>-F4
;             db        1bh,'[0;88;0;88p'                  ; <Shft>-F5
;             db        1bh,'[0;89;0;89p'                  ; <Shft>-F6
;             db        1bh,'[0;90;0;90p'                  ; <Shft>-F7
;             db        1bh,'[0;91;0;91p'                  ; <Shft>-F8    *
;             db        1bh,'[0;92;0;92p'                  ; <Shft>-F9    *
;             db        1bh,'[0;93;0;93p'                  ; <Shft>-F10   *
              db        1bh,'[0;94;0;94p'                  ; <Ctrl>-F1
              db        1bh,'[0;95;0;95p'                  ; <Ctrl>-F2
              db        1bh,'[0;96;0;96p'                  ; <Ctrl>-F3
              db        1bh,'[0;97;0;97p'                  ; <Ctrl>-F4
              db        1bh,'[0;98;0;98p'                  ; <Ctrl>-F5
;             db        1bh,'[0;99;0;99p'                  ; <Ctrl>-F6
;             db        1bh,'[0;100;0;100p'                ; <Ctrl>-F7
;             db        1bh,'[0;101;0;101p'                ; <Ctrl>-F8    *
;             db        1bh,'[0;102;0;102p'                ; <Ctrl>-F9    *
;             db        1bh,'[0;103;0;103p'                ; <Ctrl>-F10   *
              db        1bh,'[0;104;0;104p'                ; <Alt>-F1
;             db        1bh,'[0;105;0;105p'                ; <Alt>-F2     *
;             db        1bh,'[0;106;0;106p'                ; <Alt>-F3
;             db        1bh,'[0;107;0;107p'                ; <Alt>-F4
;             db        1bh,'[0;108;0;108p'                ; <Alt>-F5
;             db        1bh,'[0;109;0;109p'                ; <Alt>-F6
;             db        1bh,'[0;110;0;110p'                ; <Alt>-F7     *
;             db        1bh,'[0;111;0;111p'                ; <Alt>-F8     *
;             db        1bh,'[0;112;0;112p'                ; <Alt>-F9     *
;             db        1bh,'[0;113;0;113p'                ; <Alt>-F10    *
;             db        1bh,'[0;114;0;114p'                ;
;             db        1bh,'[0;115;0;115p'                ; <Ctrl>-Left  *
;             db        1bh,'[0;116;0;116p'                ; <Ctrl>-Right *
;             db        1bh,'[0;117;0;117p'                ; <Ctrl>-End   *
;             db        1bh,'[0;118;0;118p'                ; <Ctrl>-PgDn  *
;             db        1bh,'[0;119;0;119p'                ; <Ctrl>-Home
;             db        1bh,'[0;120;0;120p'                ; <Alt>-1
;             db        1bh,'[0;121;0;121p'                ; <Alt>-2
;             db        1bh,'[0;122;0;122p'                ; <Alt>-3
;             db        1bh,'[0;123;0;123p'                ; <Alt>-4
;             db        1bh,'[0;124;0;124p'                ; <Alt>-5
;             db        1bh,'[0;125;0;125p'                ; <Alt>-6
;             db        1bh,'[0;126;0;126p'                ; <Alt>-7
;             db        1bh,'[0;127;0;127p'                ; <Alt>-8
;             db        1bh,'[0;128;0;128p'                ; <Alt>-9
;             db        1bh,'[0;129;0;129p'                ; <Alt>-0
;             db        1bh,'[0;130;0;130p'                ; <Alt>--
;             db        1bh,'[0;131;0;131p'                ; <Alt>-=
;             db        1bh,'[0;132;0;132p'                ; <Ctrl>-PgUp  *
              db        '$'
Version       db        'KeyOff 1.1 (C) Oct 1989 by Steven "Noji" Ratzlaff'
              db        0dh,0ah,'$'
data          ends
;-----------------------------------------------------------------------------
;  The code segment
;-----------------------------------------------------------------------------
code          segment byte public 'CODE'
              assume cs:code,ds:data,ss:stack,es:nothing
;-----------------------------------------------------------------------------
;  main():  The main program body
;-----------------------------------------------------------------------------
main:         mov       ax,data        ; load data segment address
              mov       ds,ax
              mov       ax,stack       ; load stack segment address
              mov       ss,ax
         ;-------- program goes here -----------------------------------------
              mov       dx,offset Version   ; print out the version info
              mov       ah,09h
              int       21h
              mov       dx,offset buffer    ; load address of the keys
              mov       ah,09h
              int       21h
         ;-------- return to DOS ---------------------------------------------
return:       xor       al,al          ; set 0 for return code
              mov       ah,4ch
              int       21h
              ret                      ; end of main()
;-----------------------------------------------------------------------------
;  End of the code segment
;-----------------------------------------------------------------------------
code          ends
              end       main
;-----------------------------------------------------------------------------
;  End of DEFKEY.ASM
;-----------------------------------------------------------------------------
